Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::tuple_foldl_fn Struct Reference
Utility

## Public Member Functions
template<typename Tup , typename Val , typename Fun >
auto | operator() (Tup &&tup, Val val, Fun fun) const noexcept(noexcept(decltype(tuple_foldl_fn::impl2(static_cast< Tup && >(tup), std::move(val), fun, tuple_indices_t< Tup >{}))(tuple_foldl_fn::impl2(static_cast< Tup && >(tup), std::move(val), fun, tuple_indices_t< Tup >{})))) -> decltype(tuple_foldl_fn::impl2(static_cast< Tup && >(tup), std::move(val), fun, tuple_indices_t< Tup >